<div>
    <h1>Behavior Subjects</h1>
    <div>
        <div>Add a text in the input and press the "Send text" button to emit the text event.</div>
        <div>You can play with the "Subscribe" and "Unsubscribe" buttons to see how the event is displayed.</div>
        <mat-form-field>
            <mat-label>Add a text event</mat-label>
            <input matInput type="text" [(ngModel)]="text">
            <button mat-button *ngIf="text" matSuffix mat-icon-button aria-label="Clear" (click)="text=''">
              <mat-icon>close</mat-icon>
            </button>
        </mat-form-field>
        <button mat-raised-button (click)="appendText()">Send text</button>
    </div>
    
    <div fxLayout="row" fxLayoutGap="1rem">
        <div fxLayout="column" fxFlex="50%" fxLayoutAlign="none center">
            <h2>Displayer 1</h2>
            <div class="displayer">
                <app-displayer [logs]="displayer1Logs"></app-displayer>
            </div>
            <div fxLayout="row">
                <button mat-raised-button (click)="subscribeDisplayer1()">Subscribe</button>
                <button mat-raised-button (click)="unsubscribeDisplayer1()">Unsubscribe</button>
            </div>
        </div>
        <div fxLayout="column" fxFlex="50%" fxLayoutAlign="none center">
            <h2>Displayer 2</h2>
            <div class="displayer">
                <app-displayer [logs]="displayer2Logs"></app-displayer>
            </div>
            <div fxLayout="row">
                <button mat-raised-button (click)="subscribeDisplayer2()">Subscribe</button>
                <button mat-raised-button (click)="unsubscribeDisplayer2()">Unsubscribe</button>
            </div>
        </div>
    </div>
</div>
